<?php

namespace App\Classes\Modules\Orders\Standards\Validators;

use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\Orders\DataTransferObjects\OrderObject;

class OrderValidation extends AbstractValidation
{
    /**
     * @param OrderObject $object
     * @return array
     */
    protected function data($object): array
    {
        return [];
    }

    /**
     * @param string $type
     * @return array
     */
    protected function rules(?string $type = 'POST'): array
    {
        return [];
    }

    /**
     * @return array
     */
    protected function messages(): array
    {
        return [];
    }
}
